javax.print.attribute.standard

## Class PrinterMakeAndModel

- java.lang.Object
- - javax.print.attribute.TextSyntax
  - - javax.print.attribute.standard.PrinterMakeAndModel

All Implemented Interfaces:
  Serializable, Cloneable, Attribute, PrintServiceAttribute

    public final class PrinterMakeAndModel
    extends TextSyntax
    implements PrintServiceAttribute

Class PrinterMakeAndModel is a printing attribute class, a text attribute, that the make and model of the printer.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`PrinterMakeAndModel(String makeAndModel, Locale locale)` Constructs a new printer make and model attribute with the given make and model string and locale.

### Method Summary

Methods
`boolean` `equals(Object object)` Returns whether this printer make and model attribute is equivalent to the passed in object.
`Class<? extends Attribute>` `getCategory()` Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`String` `getName()` Get the name of the category of which this attribute value is an instance.

### Methods inherited from class javax.print.attribute.TextSyntax

`getLocale, getValue, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrinterMakeAndModel

    public PrinterMakeAndModel(String makeAndModel,
                       Locale locale)

Constructs a new printer make and model attribute with the given make and model string and locale.

Parameters:
  `makeAndModel` - Printer make and model string.
  `locale` - Natural language of the text string. null is interpreted to mean the default locale as returned by `Locale.getDefault()`
Throws:
  `NullPointerException` - (unchecked exception) Thrown if `makeAndModel` is null.

### Method Detail

#### equals

    public boolean equals(Object object)

Returns whether this printer make and model attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not null.
2. `object` is an instance of class PrinterMakeAndModel.
3. This printer make and model attribute's underlying string and `object`'s underlying string are equal.
4. This printer make and model attribute's locale and `object`'s locale are equal.

Overrides:
  `equals` in class `TextSyntax`
Parameters:
  `object` - Object to compare to.
Returns:
  True if `object` is equivalent to this printer make and model attribute, false otherwise.
See Also:
  `Object.hashCode()`, `Hashtable`

#### getCategory

    public final Class<? extends Attribute> getCategory()

Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class PrinterMakeAndModel, the category is class PrinterMakeAndModel itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  Printing attribute class (category), an instance of class `java.lang.Class`.

#### getName

    public final String getName()

Get the name of the category of which this attribute value is an instance.

For class PrinterMakeAndModel, the category name is `"printer-make-and-model"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  Attribute category name.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.